#R codes for Fig. 2 Results of best CCMs selected from 0- to 6-month lagged CCM analyses (Table S2) showing significant causal effects of phytoplankton diversity on resource use efficiency beyond shared seasonality for dissolved inorganic nitrogen (A), dissolved phosphate (B), and dissolved silicate (C) in the Western English Channel. 

library('dplyr')
library('tidyr')

#Set working directory
WD <- getwd()
setwd(paste(WD,'/L4_CCM_tests',sep = ""))


#load surr data  for N
load('L4_surrRUE_DIN_xmap_FAD2_lags=-1.RData')
df.out.ccm.surr$rho[which(df.out.ccm.surr$rho < 0)] = 0
N_xmap_FAD2.surr = df.out.ccm.surr
rm(df.out.ccm.surr)

load('L4_surrRUE_DIN_xmap_FDc_lags=-3.RData')
df.out.ccm.surr$rho[which(df.out.ccm.surr$rho < 0)] = 0
N_xmap_FDc.surr = df.out.ccm.surr
rm(df.out.ccm.surr)

load('L4_surrRUE_DIN_xmap_FRic_lags=-2.RData')
df.out.ccm.surr$rho[which(df.out.ccm.surr$rho < 0)] = 0
N_xmap_FRic.surr = df.out.ccm.surr
rm(df.out.ccm.surr)

load('L4_surrRUE_DIN_xmap_H_lags=-4.RData')
df.out.ccm.surr$rho[which(df.out.ccm.surr$rho < 0)] = 0
N_xmap_H.surr = df.out.ccm.surr
rm(df.out.ccm.surr)

#load dirct data
load('L4_directRUE_DIN_xmap_FAD2_lags=-4.RData')
df.out.ccm$rho[which(df.out.ccm$rho < 0)] = 0
N_xmap_FAD2.direct = df.out.ccm
rm(df.out.ccm)

load('L4_directRUE_DIN_xmap_FDc_lags=-2.RData')
df.out.ccm$rho[which(df.out.ccm$rho < 0)] = 0
N_xmap_FDc.direct = df.out.ccm
rm(df.out.ccm)


load('L4_directRUE_DIN_xmap_FRic_lags=0.RData')
df.out.ccm$rho[which(df.out.ccm$rho < 0)] = 0
N_xmap_FRic.direct = df.out.ccm
rm(df.out.ccm)

load('L4_directRUE_DIN_xmap_H_lags=-1.RData')
df.out.ccm$rho[which(df.out.ccm$rho < 0)] = 0
N_xmap_H.direct = df.out.ccm
rm(df.out.ccm)


#load surr data for P
load('L4_surrRUE_PO4P_xmap_FAD2_lags=0.RData')
df.out.ccm.surr$rho[which(df.out.ccm.surr$rho < 0)] = 0
P_xmap_FAD2.surr = df.out.ccm.surr
rm(df.out.ccm.surr)

load('L4_surrRUE_PO4P_xmap_FDc_lags=-1.RData')
df.out.ccm.surr$rho[which(df.out.ccm.surr$rho < 0)] = 0
P_xmap_FDc.surr = df.out.ccm.surr
rm(df.out.ccm.surr)

load('L4_surrRUE_PO4P_xmap_FRic_lags=-4.RData')
df.out.ccm.surr$rho[which(df.out.ccm.surr$rho < 0)] = 0
P_xmap_FRic.surr = df.out.ccm.surr
rm(df.out.ccm.surr)

load('L4_surrRUE_PO4P_xmap_H_lags=-5.RData')
df.out.ccm.surr$rho[which(df.out.ccm.surr$rho < 0)] = 0
P_xmap_H.surr = df.out.ccm.surr
rm(df.out.ccm.surr)

#load dirct data
load('L4_directRUE_PO4P_xmap_FAD2_lags=-2.RData')
df.out.ccm$rho[which(df.out.ccm$rho < 0)] = 0
P_xmap_FAD2.direct = df.out.ccm
rm(df.out.ccm)

load('L4_directRUE_PO4P_xmap_FDc_lags=-3.RData')
df.out.ccm$rho[which(df.out.ccm$rho < 0)] = 0
P_xmap_FDc.direct = df.out.ccm
rm(df.out.ccm)


load('L4_directRUE_PO4P_xmap_FRic_lags=-4.RData')
df.out.ccm$rho[which(df.out.ccm$rho < 0)] = 0
P_xmap_FRic.direct = df.out.ccm
rm(df.out.ccm)

load('L4_directRUE_PO4P_xmap_H_lags=-4.RData')
df.out.ccm$rho[which(df.out.ccm$rho < 0)] = 0
P_xmap_H.direct = df.out.ccm
rm(df.out.ccm)

#load surr data for DSi
load('L4_surrRUE_DSi_xmap_FAD2_lags=0.RData')
df.out.ccm.surr$rho[which(df.out.ccm.surr$rho < 0)] = 0
DSi_xmap_FAD2.surr = df.out.ccm.surr
rm(df.out.ccm.surr)

load('L4_surrRUE_DSi_xmap_FDc_lags=0.RData')
df.out.ccm.surr$rho[which(df.out.ccm.surr$rho < 0)] = 0
DSi_xmap_FDc.surr = df.out.ccm.surr
rm(df.out.ccm.surr)

load('L4_surrRUE_DSi_xmap_FRic_lags=0.RData')
df.out.ccm.surr$rho[which(df.out.ccm.surr$rho < 0)] = 0
DSi_xmap_FRic.surr = df.out.ccm.surr
rm(df.out.ccm.surr)

load('L4_surrRUE_DSi_xmap_H_lags=-6.RData')
df.out.ccm.surr$rho[which(df.out.ccm.surr$rho < 0)] = 0
DSi_xmap_H.surr = df.out.ccm.surr
rm(df.out.ccm.surr)

#load dirct data
load('L4_directRUE_DSi_xmap_FAD2_lags=-4.RData')
df.out.ccm$rho[which(df.out.ccm$rho < 0)] = 0
DSi_xmap_FAD2.direct = df.out.ccm
rm(df.out.ccm)

load('L4_directRUE_DSi_xmap_FDc_lags=-1.RData')
df.out.ccm$rho[which(df.out.ccm$rho < 0)] = 0
DSi_xmap_FDc.direct = df.out.ccm
rm(df.out.ccm)


load('L4_directRUE_DSi_xmap_FRic_lags=-1.RData')
df.out.ccm$rho[which(df.out.ccm$rho < 0)] = 0
DSi_xmap_FRic.direct = df.out.ccm
rm(df.out.ccm)

load('L4_directRUE_DSi_xmap_H_lags=0.RData')
df.out.ccm$rho[which(df.out.ccm$rho < 0)] = 0
DSi_xmap_H.direct = df.out.ccm
rm(df.out.ccm)

#calculating p-values
(sum(N_xmap_FAD2.direct$rho < N_xmap_FAD2.surr$rho) + 1) / (length(N_xmap_FAD2.surr$rho) + 1)
(sum(N_xmap_FDc.direct$rho < N_xmap_FDc.surr$rho) + 1) / (length(N_xmap_FDc.surr$rho) + 1)
(sum(N_xmap_FRic.direct$rho < N_xmap_FRic.surr$rho) + 1) / (length(N_xmap_FRic.surr$rho) + 1)
(sum(N_xmap_H.direct$rho < N_xmap_H.surr$rho) + 1) / (length(N_xmap_H.surr$rho) + 1)

(sum(P_xmap_FAD2.direct$rho < P_xmap_FAD2.surr$rho) + 1) / (length(P_xmap_FAD2.surr$rho) + 1)
(sum(P_xmap_FDc.direct$rho < P_xmap_FDc.surr$rho) + 1) / (length(P_xmap_FDc.surr$rho) + 1)
(sum(P_xmap_FRic.direct$rho < P_xmap_FRic.surr$rho) + 1) / (length(P_xmap_FRic.surr$rho) + 1)
(sum(P_xmap_H.direct$rho < P_xmap_H.surr$rho) + 1) / (length(P_xmap_H.surr$rho) + 1)

(sum(DSi_xmap_FAD2.direct$rho < DSi_xmap_FAD2.surr$rho) + 1) / (length(DSi_xmap_FAD2.surr$rho) + 1)
(sum(DSi_xmap_FDc.direct$rho < DSi_xmap_FDc.surr$rho) + 1) / (length(DSi_xmap_FDc.surr$rho) + 1)
(sum(DSi_xmap_FRic.direct$rho < DSi_xmap_FRic.surr$rho) + 1) / (length(DSi_xmap_FRic.surr$rho) + 1)
(sum(DSi_xmap_H.direct$rho < DSi_xmap_H.surr$rho) + 1) / (length(DSi_xmap_H.surr$rho) + 1)



#combine data
#df.in = data.frame (rho= N_xmap_FAD1.surr$rho, diversity = 'FAD2')
df.in.N = rbind(data.frame (rho= N_xmap_FAD2.surr$rho, diversity = 'FAD2'),data.frame (rho= N_xmap_FDc.surr$rho, diversity = 'FDc'),data.frame (rho= N_xmap_FRic.surr$rho, diversity = 'FRic'),data.frame (rho= N_xmap_H.surr$rho, diversity = 'H'))

df.in.P = rbind(data.frame (rho= P_xmap_FAD2.surr$rho, diversity = 'FAD2'),data.frame (rho= P_xmap_FDc.surr$rho, diversity = 'FDc'),data.frame (rho= P_xmap_FRic.surr$rho, diversity = 'FRic'),data.frame (rho= P_xmap_H.surr$rho, diversity = 'H'))

df.in.DSi = rbind(data.frame (rho= DSi_xmap_FAD2.surr$rho, diversity = 'FAD2'),data.frame (rho= DSi_xmap_FDc.surr$rho, diversity = 'FDc'),data.frame (rho= DSi_xmap_FRic.surr$rho, diversity = 'FRic'),data.frame (rho= DSi_xmap_H.surr$rho, diversity = 'H'))


## boxplot on a formula:
X11(7, 15)
#par(mar = c(4, 4, 1, 1), mgp = c(2.5, 1, 0))
par(mfrow = c(3, 1),mar = c(4, 4, 1, 1))
#x11(width=5, height=3)
boxplot(rho ~ diversity, data = df.in.N,cex.axis=1.2,ylim=c(-0.005,0.82),cex=1.2,horizontal = TRUE)
points(N_xmap_FAD2.direct$rho,1,pch=1,col='red',cex=4,lwd=2)
points(N_xmap_FDc.direct$rho,2,pch=1,col='red',cex=4,lwd=2)
points(N_xmap_FRic.direct$rho,3,pch=1,col='red',cex=4,lwd=2)
points(N_xmap_H.direct$rho,4,pch=1,col='red',cex=4,lwd=2)
#rm(list=ls())


boxplot(rho ~ diversity, data = df.in.P,cex.axis=1.2,ylim=c(-0.005,0.82),cex=1.2, horizontal = TRUE)
points(P_xmap_FAD2.direct$rho,1,pch=1,col='red',cex=4,lwd=2)
points(P_xmap_FDc.direct$rho,2,pch=19,col='red',cex=4,lwd=2)
points(P_xmap_FRic.direct$rho,3,pch=19,col='red',cex=4,lwd=2)
points(P_xmap_H.direct$rho,4,pch=10,col='red',cex=4,lwd=2)

#rm(list=ls())



boxplot(rho ~ diversity, data = df.in.DSi,cex.axis=1.2,ylim=c(-0.005,0.82), cex=1.2, horizontal = TRUE,cex.lab=1.4,xlab="Cross map skill")
points(DSi_xmap_FAD2.direct$rho,1,pch=10,col='red',cex=4,lwd=2)
points(DSi_xmap_FDc.direct$rho,2,pch=10,col='red',cex=4,lwd=2)
points(DSi_xmap_FRic.direct$rho,3,pch=19,col='red',cex=4,lwd=2)
points(DSi_xmap_H.direct$rho,4,pch=1,col='red',cex=4,lwd=2)

#pch 1 for cycle P>0.1, 19 for filled cycle p<0.05 10 for <0.05<P<0.1