#R Codes for Table 1 Best theta () selected in the S-map scenario exploration in marine (L4) and freshwater (ST9) ecosystems

library('dplyr')
library('tidyr')

theta_all = NULL

mainDir <- getwd()
subDir <- 'SE-Test' 
 if (file.exists(subDir)){
    setwd(file.path(mainDir, subDir))
} else {
    dir.create(file.path(mainDir, subDir))
    setwd(file.path(mainDir, subDir))
}


load(paste(mainDir,'/Data/','indmat.rData',sep = ""))
indmat.st9 = cbind(indmat.st9,'ST9')
indmat.L4 = cbind(indmat.L4,'L4')
indmat1 = rbind (indmat.st9, indmat.L4)
colnames(indmat1)=c('Effect','Cause','Site')

indmat1 = indmat1[c(-12,-13,-17,-18,-19,-20),]
rm(out0,out1,out2,theta.SE,df.in,df.in.SE,block.SE)
for(i in 1:nrow(indmat1)){

load(file = paste(indmat1[i,3],'_SE_',indmat1[i,1],'_',indmat1[i,2],'_scale','.RData',sep = ""))

theta_all <- theta_all %>% bind_rows(data.frame(site = indmat1[i,3],Cause=indmat1[i,2],Effects=indmat1[i,1],  theta=theta.SE))

rm(out0,out1,out2,theta.SE,df.in,df.in.SE,block.SE)



}
write.csv(theta_all , "best_theta.csv")