# Figure 5, Scatter plot illustrating the linear relationship between functional diversity FDc and Shannon index 

WD <- getwd()
#load ST9 and L4 data and selected the RUEs 
dat_st9 <- read.csv(paste(WD,'/Data/','ST9_Diversity_RUE.csv',sep = ""))
dat_l4 <- read.csv(paste(WD,'/Data/','L4_Diversity_RUE.csv',sep = ""))

dat_st9.in = dat_st9[,c('Date','FDc','H')]
dat_l4.in = dat_l4[,c('Date','FDc','H')]


dat1 =  dat_st9.in
dat1$Site = '1'

dat2 =  dat_l4.in
dat2$Site = '2'

dat = rbind(dat1,dat2)

#plot FDc vs Shannon
with(dat, plot(H, FDc, pch=as.integer(Site),col=as.integer(Site)*2)+  abline(lm(FDc~H),lty=1)+ legend(0.175,20.5,c("ST9","L4"), pch=1:2,col=c("red","blue")))

cor.test(dat$FDc, dat$H,method="pearson")