#Figure S4, Long-term variation of the species richness in the Western English Channel (A) and Lake Kasumigaura (B).


library(ggplot2)  # for creating graphs
library(gridExtra) # for arranging plots



WD <- getwd()
#load ST9 and L4 data and selected the RUEs 
dat_st9 <- read.csv(paste(WD,'/Data/','ST9_Diversity_RUE.csv',sep = ""))
dat_l4 <- read.csv(paste(WD,'/Data/','L4_Diversity_RUE.csv',sep = ""))


dat_st9.in = dat_st9[,c('Date','S')]
dat_l4.in = dat_l4[,c('Date','S')]

dat_st9.in$Date <- as.Date(dat_st9.in$Date)
dat_l4.in$Date <- as.Date(dat_l4.in$Date)

#na.rm=TRUE

#limits = as.Date(c('1984-10-07','2013-04-07'))

base1 = ggplot(data = dat_st9.in, aes(Date, S)) +  geom_point() + ylim(0, 65) + ylab("Species Richness") + theme(axis.text=element_text(size=11))

 
base2 = ggplot(data = dat_l4.in, aes(Date, S)) +  geom_point() + ylim(0, 65) + ylab("Species Richness") + theme(axis.text=element_text(size=11)) 


b1 = base1 + scale_x_date(date_breaks = "5 year", date_minor_breaks = "1 year", date_labels = "%b %Y", limits = as.Date(c('1984-10-07','2013-06-07')) )

b2 = base2 + scale_x_date(date_breaks = "5 year", date_minor_breaks = "1 year", date_labels = "%b %Y")

grid.arrange(b2,b1, ncol = 1)


#t.test(dat_st9.in$S,dat_l4.in$S,na.action=TRUE,paired = FALSE)


